﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Candle 클래스 : Pointer 속성을 사용해 3D 차트 만들기";

            this.tChart.Panel.Pen     = new ChartPen(Color.Black);
            this.tChart.Aspect.View3D = true;

            Candle candle = new Candle(this.tChart.Chart);

            candle.Pointer.Draw3D = true;

            candle.FillSampleValues(20);
        }

        #endregion
    }
}